Decom bits.wikimedia.org hostname
Closed, ResolvedPublic

Description

This needs further investigation of the long tail of bits-hostname traffic (on the text clusters) for cases where we're breaking things we care about, some announcement, etc. Could take a while, but will eliminate cruft.

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 284098 merged by Krinkle:
noc: Use favicon from wikimedia.org instead of bits

https://gerrit.wikimedia.org/r/284098

Change 284101 had a related patch set uploaded (by Krinkle):
Remove unused $wmfHostnames['bits'] configuration

https://gerrit.wikimedia.org/r/284101

Change 284101 merged by jenkins-bot:
Remove unused $wmfHostnames['bits'] configuration

https://gerrit.wikimedia.org/r/284101

Did some investigation on geoiplookup hits:

  • Most of hits have no referer, yet the same UA: Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.1; Trident/5.0) - protection for HTTP-only?
  • A few of them are coming from wikis with outdated versions of CentralNotice and ULS.
  • I see hits from lots of crap gateway URLs like http://static.casasyzyqyp.com/bg/?d=<hex number>___z=2___rd=<more hex>___cd=WP___instgrp=not.found___channel=not_found___partner=not_found___InstallId=not_found___uninstalled=not_found - second-level domain varies.

Not sure what you mean about "protection for HTTP-only", but we do universally HTTPS-redirect all bits.wikimedia.org traffic (it's not UA-sensitive or anything).

I mean, IE 10 doesn't report referrer if original URL was http even if it got redirected to https.

Change 285622 had a related patch set uploaded (by BBlack):
remove deprecated bits.wm.o hostname references

https://gerrit.wikimedia.org/r/285622

Change 285622 merged by Prtksxna:
remove deprecated bits.wm.o hostname references

https://gerrit.wikimedia.org/r/285622

Change 295321 had a related patch set uploaded (by Dzahn):
nagios_common: delete check_http_bits command

https://gerrit.wikimedia.org/r/295321

Change 295321 merged by Alexandros Kosiaris:
nagios_common: delete check_http_bits command

https://gerrit.wikimedia.org/r/295321

Change 302607 had a related patch set uploaded (by Krinkle):
noc: Update outdated symlink to favicon.ico

https://gerrit.wikimedia.org/r/302607

Change 302611 had a related patch set uploaded (by Krinkle):
varnish: Remove outdated comment in setup_filesystem about bits

https://gerrit.wikimedia.org/r/302611

Change 302607 merged by jenkins-bot:
noc: Update outdated symlink to favicon.ico

https://gerrit.wikimedia.org/r/302607

Change 302618 had a related patch set uploaded (by Krinkle):
Use relative url to /beacon/event

https://gerrit.wikimedia.org/r/302618

Change 302627 had a related patch set uploaded (by Krinkle):
eventlogging-load-tester: Remove use of old bits url

https://gerrit.wikimedia.org/r/302627

Change 302618 merged by jenkins-bot:
Use relative url to /beacon/event

https://gerrit.wikimedia.org/r/302618

Change 302611 merged by Filippo Giunchedi:
varnish: Remove outdated comment in setup_filesystem about bits

https://gerrit.wikimedia.org/r/302611

Change 302627 merged by Nuria:
eventlogging-load-tester: Remove use of old bits url

https://gerrit.wikimedia.org/r/302627

Krinkle set Security to None.

Change 302832 had a related patch set uploaded (by Krinkle):
Update unit tests to use non-bits favicon urls

https://gerrit.wikimedia.org/r/302832

Change 302832 merged by jenkins-bot:
Update unit tests to use non-bits favicon urls

https://gerrit.wikimedia.org/r/302832

The Commons app for Android (previously by Wikimedia, now community-maintained) also uses bits.wikimedia.org/event.gif still. Fix pending at https://github.com/nicolas-raoul/apps-android-commons/pull/221.

Change 302842 had a related patch set uploaded (by Krinkle):
gwtoolset: Update Common.css.xml dump

https://gerrit.wikimedia.org/r/302842

We need to start making progress on this again and kill cruft at some point...

bits.wikimedia.org still seems to be in the ballpark of 1% of all requests we receive.

Notable hints:

...

  1. Notable among the many trailing static asset paths are many different paths that end in magnify-clip.png - whatever uses this particular image may have bits hardcoded.

FWIW, this may include some very old posts on the Wikimedia blog (published before the wiki -> WordPress conversion script was updated in June 2012 to replace that icon with its version from upload.wikimedia.org). If I recall correctly, these versioned URLs of the form bits.wikimedia.org/static-([^\/]*)/skins/common/images/magnify-clip.png were breaking anyway with each new MediaWiki update, so there should be no additional harm if the entire host goes away now. Blog editors can always fix them manually.

Change 302842 merged by jenkins-bot:
gwtoolset: Update Common.css.xml dump

https://gerrit.wikimedia.org/r/302842

Change 303121 had a related patch set uploaded (by Alex Monk):
Remove bits.beta.wmflabs.org

https://gerrit.wikimedia.org/r/303121

Change 303122 had a related patch set uploaded (by Alex Monk):
beta apaches: Delete Apache::Site['wmflabs'] too

https://gerrit.wikimedia.org/r/303122

whym added a subscriber: whym.Aug 5 2016, 9:20 AM

The Commons app for Android (previously by Wikimedia, now community-maintained) also uses bits.wikimedia.org/event.gif still. Fix pending at https://github.com/nicolas-raoul/apps-android-commons/pull/221.

Landed.

Another use with fix at https://github.com/wikimedia/wikipedia-ios/pull/815 also landed.

Change 303121 merged by Filippo Giunchedi:
Remove bits.beta.wmflabs.org

https://gerrit.wikimedia.org/r/303121

Change 305533 had a related patch set uploaded (by BBlack):
Remove bits.wikimedia.org from DNS

https://gerrit.wikimedia.org/r/305533

Change 303122 merged by Filippo Giunchedi:
beta apaches: Delete Apache::Site['wmflabs'] too

https://gerrit.wikimedia.org/r/303122

Change 305535 had a related patch set uploaded (by BBlack):
text VCL: remove bits.wm.o stuff

https://gerrit.wikimedia.org/r/305535

Change 305536 had a related patch set uploaded (by BBlack):
MW apache: remove bits.wm.o vhost

https://gerrit.wikimedia.org/r/305536

BBlack added a comment.EditedAug 18 2016, 5:10 PM

I'd like to start the decom here with the DNS removal of the bits.wikimedia.org hostname itself, so that the traffic dies before we remove support for it at the VCL/MW levels. Taking some quick samples, almost all of the traffic remaining to this hostname that has referers from our own domains is traffic that self-refers to favicon/wikipedia.ico, and the UAs tend to be very outdated FF/Chrome releases. By self-refer, I mean traffic that looks like this in the relevant varnishlog fields:

118 RxURL        c /favicon/wikipedia.ico
118 RxHeader     c User-Agent: Mozilla/5.0 (X11; Linux i686 on x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/34.0.1904.41 Safari/537.36
118 RxHeader     c Host: bits.wikimedia.org
118 RxHeader     c Referer: https://bits.wikimedia.org/favicon/wikipedia.ico

Are there any final objections to finally killing this? We can of course wait a few days after DNS deletion to take further steps, and revert if there's fallout we care about. The negative TTL we serve is only 10 minutes, so that's the time-to-recovery after a revert on the AuthDNS servers.

(edited above to note it's just favicon, not others, that's these bulk). Also notable, many of these self-referred favicon hits are over plain old HTTP too.

BBlack added a comment.EditedAug 22 2016, 10:19 PM

The Commons app for Android (previously by Wikimedia, now community-maintained) also uses bits.wikimedia.org/event.gif still. Fix pending at https://github.com/nicolas-raoul/apps-android-commons/pull/221.

Landed.

Another use with fix at https://github.com/wikimedia/wikipedia-ios/pull/815 also landed.

So, the last two fixes to land were event.gif analytics stuff for the community Commons app, and apparently our iOS app using bits for ResourceLoader? Do we have some kind of estimate on what reasonable timeline these put on removing the hostname? The former sounds non-important, the latter may be important.

BBlack added a comment.Sep 2 2016, 9:38 PM

FWIW, the iOS app change hit its first beta release 3 weeks ago in 5.1.0.900, and was released with 5.1.0.913.1 about two weeks ago.

BBlack added a comment.Sep 7 2016, 3:13 PM

Looking at 24H of data from oxygen webrequest archive's sampled-1000.json-20160907, if I filter just for bits requests, cut -d/ -f1-3 to coalesce long-path noise and sort/uniq/count, it looks like this:

95592 "/favicon/wikipedia.ico"
23196 "/geoiplookup"
  308 "/event.gif"
  301 "/en.wikipedia.org/load.php"
  246 "/ja.wikipedia.org/load.php"
   65 "/WikipediaMobileFirefoxOS/js
   56 "/skins-1.5/vector
   56 "/skins-1.5/common
   54 "/https:/
   53 "/static-1.23wmf4/skins
   51 "/pt.wikipedia.org/load.php"
   39 "/apple-touch/wikipedia.png"
   34 "/skins-1.17/common
   31 "/es.wikipedia.org/load.php"
   28 "/skins-1.18/common
   26 "/WikipediaMobileFirefoxOS/messages
   26 "/w/api.php"
   22 "/skins/common
   21 "/WikipediaMobileFirefoxOS/manifest.webapp"
   21 "/wikipedia/commons
   18 "/de.wikipedia.org/load.php"
   17 "/static-current/extensions
   17 "/static-1.22wmf12/extensions
   14 "/WikipediaMobileFirefoxOS/css
   13 "/static-1.21wmf9/skins
   13 "/ru.wikipedia.org/load.php"
   11 "/sv.wikipedia.org/load.php"
   11 "/static-1.21wmf6/skins
   11 "/"
   10 "/static-1.21wmf10/extensions
   10 "/fr.wikipedia.org/load.php"
   10 "/commons.wikimedia.org/load.php"
    7 "/static-1.21wmf3/skins
    7 "/static-1.21wmf1/skins
    7 "/it.wikipedia.org/load.php"
    7 "/he.wikipedia.org/load.php"
    6 "/zh.wikipedia.org/load.php"
    6 "/WikipediaMobileFirefoxOS/image
    6 "/w/extensions
    6 "/static-1.21wmf4/skins
    6 "/skins-1.19/common
    5 "/WikipediaMobileFirefoxOS/WikipediaMobileFirefoxOS
    5 "/WikipediaMobileFirefoxOS/app.appcache"
    5 "/static-1.23wmf6/extensions
    5 "/static-1.21wmf8/skins
    5 "/static-1.21wmf2/skins
    5 "/static-1.20wmf9/skins
    5 "/static-1.20wmf8/skins
    5 "/static-1.20wmf6/skins
    5 "/static-1.20wmf2/skins
    5 "/skins-1.5/monobook
    4 "/static-1.24wmf13/skins
    4 "/static-1.23wmf21/skins
    4 "/static-1.22wmf13/skins
    4 "/static-1.21wmf5/skins
    4 "/static-1.20wmf4/skins
    4 "/skins-1.20wmf1/common
    4 "/favicon/piece.ico"
    3 "/static-current/skins
    3 "/static-1.25wmf20/resources
    3 "/static-1.25wmf14/extensions
    3 "/static-1.24wmf12/skins
    3 "/static-1.23wmf3/skins
    3 "/static-1.23wmf10/skins
    3 "/static-1.22wmf8/skins
    3 "/static-1.22wmf20/skins
    3 "/static-1.22wmf17/skins
    3 "/static-1.21wmf10/skins
    3 "/static-1.20wmf7/skins
    3 "/static-1.20wmf3/skins
    3 "/images/wikimedia-button.png"
    3 "/cs.wikipedia.org/load.php"
    2 "/w/skins
    2 "/static-1.25wmf23/extensions
    2 "/static-1.25wmf1/skins
    2 "/static-1.25wmf11/resources
    2 "/static-1.24wmf5/skins
    2 "/static-1.24wmf4/skins
    2 "/static-1.24wmf1/skins
    2 "/static-1.24wmf17/skins
    2 "/static-1.24wmf16/skins
    2 "/static-1.24wmf15/skins
    2 "/static-1.24wmf14/skins
    2 "/static-1.24wmf11/skins
    2 "/static-1.23wmf7/skins
    2 "/static-1.23wmf2/skins
    2 "/static-1.23wmf19/skins
    2 "/static-1.23wmf14/skins
    2 "/static-1.22wmf9/skins
    2 "/static-1.22wmf4/skins
    2 "/static-1.22wmf21/skins
    2 "/static-1.22wmf18/skins
    2 "/static-1.22wmf15/skins
    2 "/static-1.22wmf14/skins
    2 "/static-1.22wmf11/skins
    2 "/static-1.21wmf7/skins
    2 "/static-1.21wmf12/skins
    2 "/static-1.20wmf8/extensions
    2 "/static-1.20wmf10/skins
    2 "/sr.wikipedia.org/load.php"
    2 "/skins/vector
    2 "/skins-1.19/vector
    2 "/skins-1.18/vector
    2 "/skins-1.17/vector
    2 "/pl.wikipedia.org/load.php"
    2 "/kk.wikipedia.org/load.php"
    2 "/favicon/wiktionary
    1 "/www.mediawiki.org/load.php"
    1 "/w/skins-1.5
    1 "/WikipediaMobileFirefoxOS/AUTHORS"
    1 "/WikipediaMobileFirefoxOS/"
    1 "/w/extensions-1.20wmf1
    1 "/w/extensions-1.18
    1 "/vo.wiktionary.org/load.php"
    1 "/vi.wikipedia.org/load.php"
    1 "/th.wiktionary.org/load.php"
    1 "/static-1.26wmf3/extensions
    1 "/static-1.26wmf2/resources
    1 "/static-1.26wmf1/resources
    1 "/static-1.25wmf9/resources
    1 "/static-1.25wmf8/extensions
    1 "/static-1.25wmf5/resources
    1 "/static-1.25wmf4/skins
    1 "/static-1.25wmf4/resources
    1 "/static-1.25wmf2/skins
    1 "/static-1.25wmf2/resources
    1 "/static-1.25wmf24/resources
    1 "/static-1.25wmf18/resources
    1 "/static-1.25wmf17/resources
    1 "/static-1.25wmf16/extensions
    1 "/static-1.25wmf10/extensions
    1 "/static-1.24wmf9/skins
    1 "/static-1.24wmf9/extensions
    1 "/static-1.24wmf8/skins
    1 "/static-1.24wmf3/extensions
    1 "/static-1.24wmf2/skins
    1 "/static-1.24wmf21/skins
    1 "/static-1.24wmf19/skins
    1 "/static-1.24wmf17/extensions
    1 "/static-1.23wmf9/skins
    1 "/static-1.23wmf8/skins
    1 "/static-1.23wmf6/skins
    1 "/static-1.23wmf5/skins
    1 "/static-1.23wmf22/skins
    1 "/static-1.23wmf1/skins
    1 "/static-1.23wmf18/skins
    1 "/static-1.23wmf15/extensions
    1 "/static-1.23wmf13/extensions
    1 "/static-1.22wmf7/skins
    1 "/static-1.22wmf6/skins
    1 "/static-1.22wmf5/skins
    1 "/static-1.22wmf3/skins
    1 "/static-1.22wmf2/skins
    1 "/static-1.22wmf22/extensions
    1 "/static-1.22wmf21/extensions
    1 "/static-1.22wmf20/extensions
    1 "/static-1.22wmf19/extensions
    1 "/static-1.22wmf16/skins
    1 "/static-1.22wmf12/skins
    1 "/static-1.21wmf5/extensions
    1 "/static-1.21wmf1/extensions
    1 "/static-1.21wmf11/skins
    1 "/static-1.20wmf6/extensions
    1 "/static-1.20wmf2/extensions
    1 "/static-1.20wmf12/skins
    1 "/static-1.20wmf11/extensions
    1 "/static-1.20wmf10/extensions
    1 "/sl.wikipedia.org/load.php"
    1 "/skins-1.5/chick
    1 "/skins-1.17/monobook
    1 "/simple.wikipedia.org/load.php"
    1 "/ru.wiktionary.org/load.php"
    1 "/ro.wikipedia.org/load.php"
    1 "/robots.txt"
    1 "/nl.wikipedia.org/load.php"
    1 "/na.wikipedia.org/load.php"
    1 "/ja.wikipedia.org/data:image
    1 "/it.wiktionary.org/load.php"
    1 "/images/wikimedia-button-2x.png"
    1 "/ie.wikipedia.org/load.php"
    1 "/hi.wikipedia.org/load.php"
    1 "/fr.wikisource.org/load.php"
    1 "/frp.wikipedia.org/load.php"
    1 "/favicon/wikibooks.ico"
    1 "/favicon/commons.ico"
    1 "/eo.wikipedia.org/load.php"
    1 "/en.wikipedia.org/data:image
    1 "/de.wiktionary.org/load.php"
    1 "/da.wikipedia.org/load.php"
    1 "/co.wikipedia.org/load.php"
    1 "/bn.wikipedia.org/load.php"
    1 "/bg.wikipedia.org/load.php"
    1 "/ar.wikipedia.org/load.php"
    1 "/arc.wikipedia.org/load.php"
    1 "/apple-touch/commons.png"
    1 "/af.wikipedia.org/load.php"

The total is ~1.5% of all requests, but if we eliminate the top 3 (favicon, geoiplookup, event.gif - all unimportant at this point IMHO), that number drops to ~0.02% of all requests (1622 sample entries).

Another way of slicing the data: 451 of the log entries (so ~451K/day, ~0.00006% of traffic) came from WikipediaApp UAs of various versions and flavors. They break down like this on paths:

304 "/event.gif"
 50 "/pt.wikipedia.org/load.php"
 50 "/en.wikipedia.org/load.php"
 12 "/de.wikipedia.org/load.php"
 11 "/es.wikipedia.org/load.php"
  7 "/it.wikipedia.org/load.php"
  6 "/fr.wikipedia.org/load.php"
  5 "/ru.wikipedia.org/load.php"
  2 "/ja.wikipedia.org/load.php"
  2 "/he.wikipedia.org/load.php"
  1 "/sr.wikipedia.org/load.php"
  1 "/hi.wikipedia.org/load.php"
BBlack added a comment.EditedSep 9 2016, 3:52 PM

I'm putting up a straw-man hostname-decom date of 2016-09-19, which is ~10 days out from now. We'll never actually eliminate the trailing traffic before decom, and most of it seems to be junk or unimportant. If this seems too unreasonably soon, post a counter-argument and propose an acceptable alternative date please!

The proposed removal date was 2 days ago, I've just been busy with other things. Will merge removal today unless objections/alternatives as above. Ping @Krinkle . Keep in mind this commit going out today just pulls the DNS hostname. If there's a real problem/complaint that crops up, we can easily revert the DNS change and all of the code infrastructure still works fine.

Same data logging as back on Sep 7, but using Sept 21 data. Not much change in the overall, and still close to the same overall level (~1.46% of all requests):

bblack@oxygen:~$ jq .uri_path bits921|cut -d/ -f1-3|sort |uniq -c|sort -rn
  96644 "/favicon/wikipedia.ico"
  22675 "/geoiplookup"
    312 "/event.gif"
    267 "/ja.wikipedia.org/load.php"
    245 "/en.wikipedia.org/load.php"
     61 "/WikipediaMobileFirefoxOS/js
     60 "/static-1.23wmf4/skins
     59 "/pt.wikipedia.org/load.php"
     49 "/https:/
     48 "/skins-1.5/common
     41 "/es.wikipedia.org/load.php"
     37 "/skins-1.17/common
     33 "/skins-1.5/vector
     29 "/skins-1.18/common
     27 "/apple-touch/wikipedia.png"
     22 "/de.wikipedia.org/load.php"
     21 "/ru.wikipedia.org/load.php"
     19 "/WikipediaMobileFirefoxOS/manifest.webapp"
     19 "/static-current/extensions
     18 "/WikipediaMobileFirefoxOS/messages
     17 "/skins/common
     17 "/skins-1.19/common
     15 "/static-1.21wmf9/skins
     14 "/WikipediaMobileFirefoxOS/css
     12 "/"
     10 "/sv.wikipedia.org/load.php"
     10 "/static-1.21wmf1/skins
      8 "/commons.wikimedia.org/load.php"
      7 "/he.wikipedia.org/load.php"
      6 "/w/skins
      6 "/static-1.23wmf10/skins
      6 "/static-1.21wmf4/skins
      6 "/static-1.21wmf3/skins
      5 "/zh.wikipedia.org/load.php"
      5 "/static-1.24wmf15/skins
      5 "/static-1.22wmf3/skins
      5 "/static-1.21wmf7/skins
      5 "/static-1.21wmf5/skins
      5 "/static-1.20wmf6/skins
      5 "/static-1.20wmf3/skins
      5 "/skins-1.5/monobook
      5 "/fr.wikipedia.org/load.php"
      4 "/static-1.23wmf3/skins
      4 "/static-1.23wmf2/skins
      4 "/static-1.23wmf20/skins
      4 "/static-1.22wmf6/skins
      4 "/static-1.22wmf18/skins
      4 "/static-1.22wmf14/skins
      4 "/static-1.21wmf8/skins
      4 "/static-1.21wmf6/skins
      4 "/static-1.21wmf2/skins
      4 "/static-1.20wmf11/skins
      4 "/skins-1.17/vector
      4 "/pl.wikipedia.org/load.php"
      4 "/fa.wikipedia.org/load.php"
      3 "/WikipediaMobileFirefoxOS/WikipediaMobileFirefoxOS
      3 "/WikipediaMobileFirefoxOS/image
      3 "/WikipediaMobileFirefoxOS/app.appcache"
      3 "/w/extensions
      3 "/static-1.24wmf16/skins
      3 "/static-1.22wmf5/skins
      3 "/static-1.21wmf11/skins
      3 "/static-1.20wmf10/skins
      3 "/skins-1.20wmf1/common
      3 "/skins-1.18/vector
      3 "/favicon/piece.ico"
      2 "/w/extensions-1.20wmf1
      2 "/static-1.25wmf22/resources
      2 "/static-1.24wmf7/skins
      2 "/static-1.24wmf21/skins
      2 "/static-1.23wmf7/skins
      2 "/static-1.23wmf6/extensions
      2 "/static-1.23wmf22/skins
      2 "/static-1.23wmf18/skins
      2 "/static-1.23wmf15/extensions
      2 "/static-1.23wmf13/skins
      2 "/static-1.22wmf7/skins
      2 "/static-1.22wmf2/skins
      2 "/static-1.22wmf21/skins
      2 "/static-1.22wmf1/skins
      2 "/static-1.22wmf15/skins
      2 "/static-1.22wmf12/skins
      2 "/static-1.22wmf11/skins
      2 "/static-1.21wmf12/skins
      2 "/static-1.21wmf10/skins
      2 "/static-1.20wmf8/skins
      2 "/static-1.20wmf4/skins
      2 "/static-1.20wmf12/skins
      2 "/static-1.20wmf10/extensions
      2 "/sk.wikipedia.org/load.php"
      2 "/skins-1.19/vector
      2 "/it.wikipedia.org/load.php"
      2 "http://bits.wikimedia.org
      2 "/fa.wikisource.org/load.php"
      2 "/favicon.ico"
      2 "/ar.wikipedia.org/load.php"
      1 "/zh.wikisource.org/load.php"
      1 "/zh.wikiquote.org/load.php"
      1 "/www.mediawiki.org/load.php"
      1 "/WikipediaMobileFirefoxOS/index.html"
      1 "/WikipediaMobileFirefoxOS/"
      1 "/w/extensions-1.19
      1 "/w/extensions-1.18
      1 "/w/extensions-1.17
      1 "/vi.wikipedia.org/load.php"
      1 "/uk.wikipedia.org/load.php"
      1 "/tr.wikipedia.org/load.php"
      1 "/tl.wikipedia.org/load.php"
      1 "/th.wikipedia.org/load.php"
      1 "/static/images
      1 "/static-current/skins
      1 "/static-1.26wmf2/resources
      1 "/static-1.25wmf8/resources
      1 "/static-1.25wmf7/resources
      1 "/static-1.25wmf5/resources
      1 "/static-1.25wmf2/resources
      1 "/static-1.25wmf2/extensions
      1 "/static-1.25wmf24/extensions
      1 "/static-1.25wmf23/extensions
      1 "/static-1.25wmf21/extensions
      1 "/static-1.25wmf20/resources
      1 "/static-1.25wmf19/resources
      1 "/static-1.25wmf18/resources
      1 "/static-1.25wmf17/resources
      1 "/static-1.25wmf15/resources
      1 "/static-1.25wmf14/resources
      1 "/static-1.25wmf13/resources
      1 "/static-1.25wmf13/extensions
      1 "/static-1.25wmf12/resources
      1 "/static-1.25wmf11/resources
      1 "/static-1.24wmf6/extensions
      1 "/static-1.24wmf5/skins
      1 "/static-1.24wmf4/skins
      1 "/static-1.24wmf2/skins
      1 "/static-1.24wmf1/skins
      1 "/static-1.24wmf17/skins
      1 "/static-1.24wmf14/skins
      1 "/static-1.24wmf13/skins
      1 "/static-1.24wmf12/skins
      1 "/static-1.24wmf10/skins
      1 "/static-1.23wmf9/skins
      1 "/static-1.23wmf8/extensions
      1 "/static-1.23wmf6/skins
      1 "/static-1.23wmf4/extensions
      1 "/static-1.23wmf1/skins
      1 "/static-1.23wmf19/skins
      1 "/static-1.23wmf17/skins
      1 "/static-1.23wmf15/skins
      1 "/static-1.23wmf12/skins
      1 "/static-1.22wmf9/skins
      1 "/static-1.22wmf8/skins
      1 "/static-1.22wmf4/skins
      1 "/static-1.22wmf4/extensions
      1 "/static-1.22wmf3/extensions
      1 "/static-1.22wmf22/skins
      1 "/static-1.22wmf21/extensions
      1 "/static-1.22wmf20/skins
      1 "/static-1.22wmf1/extensions
      1 "/static-1.22wmf19/extensions
      1 "/static-1.22wmf16/skins
      1 "/static-1.22wmf16/extensions
      1 "/static-1.22wmf15/extensions
      1 "/static-1.22wmf13/skins
      1 "/static-1.22wmf10/skins
      1 "/static-1.22wmf10/extensions
      1 "/static-1.21wmf9/extensions
      1 "/static-1.21wmf7/extensions
      1 "/static-1.21wmf5/extensions
      1 "/static-1.21wmf3/extensions
      1 "/static-1.20wmf9/skins
      1 "/static-1.20wmf2/skins
      1 "/static-1.20wmf2/extensions
      1 "/static-1.20wmf11/extensions
      1 "/sr.wikipedia.org/load.php"
      1 "/skins/vector
      1 "/skins-1.20wmf1/vector
      1 "/si.wikipedia.org/load.php"
      1 "/ru.wikinews.org/load.php"
      1 "/ro.wikipedia.org/load.php"
      1 "/nl.wiktionary.org/load.php"
      1 "/ms.wikipedia.org/load.php"
      1 "/lv.wikipedia.org/load.php"
      1 "/lmo.wikipedia.org/load.php"
      1 "/ko.wikipedia.org/load.php"
      1 "/ka.wikipedia.org/load.php"
      1 "/kaa.wikipedia.org/load.php"
      1 "/index.html"
      1 "/images/wikimedia-button.png"
      1 "/hu.wikipedia.org/load.php"
      1 "/hi.wikipedia.org/load.php"
      1 "/fr.wikinews.org/load.php"
      1 "/fi.wikipedia.org/load.php"
      1 "/favicon/wikiquote.ico"
      1 "/favicon/wikibooks.ico"
      1 "/favicon/commons.ico"
      1 "/eo.wikipedia.org/load.php"
      1 "/en.wiktionary.org/load.php"
      1 "/en.wikiversity.org/load.php"
      1 "/en.wikisource.org/load.php"
      1 "/en.wikiquote.org/load.php"
      1 "/de.wikibooks.org/load.php"
      1 "/cs.wikipedia.org/load.php"
      1 "/ca.wikipedia.org/load.php"
      1 "/bn.wikisource.org/load.php"
      1 "/bg.wiktionary.org/load.php"
      1 "/bg.wikipedia.org/load.php"

Change 305533 merged by BBlack:
Remove bits.wikimedia.org from DNS

https://gerrit.wikimedia.org/r/305533

The ones that start with /skins and /static are most likely from on-wiki gadgets and site scripts and stylesheets (e.g. Common.css) which will have been broken by the DNS removal.

I've ran a semi-automated bot that fixes most of those (there were about 70 url references to it still in site-level JS and CSS).

Related IRC discussion: http://bots.wmflabs.org/~wm-bot/logs/%23wikimedia-tech/20160925.txt (seems to have been resolved already: T146569 ).

Krinkle removed a parent task: Restricted Task.Sep 26 2016, 9:40 AM
Krinkle added a subtask: Restricted Task.
BBlack added a comment.Oct 3 2016, 3:15 PM

The hostname's been gone for ~12 days now, so odds of revert seem low at this point. I'm going to merge up the VCL patch to kill the unused bits code there, and push for review on the related MW apache config patch as well.

Change 305535 merged by BBlack:
text VCL: remove bits.wm.o stuff

https://gerrit.wikimedia.org/r/305535

BBlack moved this task from Triage to General on the Traffic board.Oct 4 2016, 12:48 PM

Change 314334 had a related patch set uploaded (by BBlack):
remove old varnish geoip test

https://gerrit.wikimedia.org/r/314334

Change 314335 had a related patch set uploaded (by BBlack):
remove various pointless "bits" references

https://gerrit.wikimedia.org/r/314335

Change 314334 merged by BBlack:
remove old varnish geoip test

https://gerrit.wikimedia.org/r/314334

Change 314335 merged by BBlack:
remove various pointless "bits" references

https://gerrit.wikimedia.org/r/314335

Change 322420 had a related patch set uploaded (by Krinkle):
Remove bits.wikimedia.org apache config

https://gerrit.wikimedia.org/r/322420

Change 322420 abandoned by Krinkle:
Remove bits.wikimedia.org apache config

Reason:
Superseded by I93af7b2874d2636c.

https://gerrit.wikimedia.org/r/322420

Change 305536 merged by Elukey:
MW apache: remove bits.wm.o vhost

https://gerrit.wikimedia.org/r/305536

Just noticed today that posts on blog.wikimedia.org try to load event.gif beacon from bits:

var beacon = document.createElement( 'img' );
			beacon.src = '//bits.wikimedia.org/event.gif?' + encodeURIComponent( $.toJSON( capsule ) ) + ';';

The code comes from a minified file (the url shown in chrome is https://s0.wp.com/_static/??-eJydj+sKwjAMRl/Irjh16g/xWeqW1XS92XSd+vRWUEQcDoVAID3nS8oHz9DWum+AuMp16iFcHq1QNOPfAGZQBhGhMGifcO1sBBvvrHEH1MB6giBknuWg1o1w3lE0QJShkdf3k9AmhGESUxC9qDsWgPD6kRqPkPfxhJ4P2KGBBgVL5SumaDWcSWMDgY38bdpX5P6wIGVOOynRyh/strd1RGcpO3uzmy+ralUutuuNugGmuLLy).

I'm not sure how to change that and how it is set from though

Yes, this broke some time ago; the URL there needs to be updated. If someone could submit a pull request on GitHub, that would be great, otherwise I will take a look myself once I have some more time.

BBlack closed this task as Resolved.Mar 16 2017, 12:41 PM
BBlack claimed this task.

This was resolved on the server side back in early Dec when the MW config patch finally landed. There might be trailing traffic to this ticket in the form of reports/fixups of long-broken things, but there's really nothing left to actually do to finish decom.

Tbayer added a comment.Apr 5 2017, 6:00 AM

Yes, this broke some time ago; the URL there needs to be updated. If someone could submit a pull request on GitHub, that would be great, otherwise I will take a look myself once I have some more time.

Done

Protocoll-relative URLs (//) are considered an anti-pattern for some time now. Filed T162394 for it.

Mentioned in SAL (#wikimedia-releng) [2017-08-03T10:12:02Z] <hashar> gerrit: marked wikimedia/communications/WP-Victor read-only and [ARCHIVED] - T107430